/*
 * the oa project.
 *
 * Sed - december 1999
 *
 * This is public domain.
 *
 * the wave stuff header file
 */

#ifndef _WAVES_H_
#define _WAVES_H_

typedef struct {
  int *control_points_x;
  int *control_points_y;
  int nb_control_points;
  int x_size;
} WAVE;

int init_wave(WAVE *, WAVE *);
void play_some_wave(WAVE *, WAVE *, int, int, int, int, double, double, int);
int get_sound_descriptor(void);
void close_wave(void);

int load_wave(WAVE *, char *);
int save_wave(WAVE *, char *);

long double get_sample_sin(WAVE *, long double);

#endif /* _WAVES_H_ */
